Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(156)

Unified Diff: chromeos-base/u-boot-config/u-boot-config-9999.ebuild

Issue 6756038: Install out of tree configs for Chrome OS builds of U-Boot. (Closed) Base URL: ssh://gitrw.chromium.org:9222/chromiumos-overlay.git@master
Patch Set: Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | sys-boot/chromeos-u-boot-next/chromeos-u-boot-next-9999.ebuild » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: chromeos-base/u-boot-config/u-boot-config-9999.ebuild
diff --git a/chromeos-base/u-boot-config/u-boot-config-9999.ebuild b/chromeos-base/u-boot-config/u-boot-config-9999.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..cba74e70ad3c7a42d11a7b1835e75e80682eb496
--- /dev/null
+++ b/chromeos-base/u-boot-config/u-boot-config-9999.ebuild
@@ -0,0 +1,29 @@
+# Copyright (c) 2011 The Chromium OS Authors. All rights reserved.
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=2
+
+DESCRIPTION="ChromeOS specific U-Boot configurations"
+HOMEPAGE="http://chromium.org"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~arm"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+# This must be inherited *after* EGIT/CROS_WORKON variables defined
+inherit cros-workon
+
+src_install() {
+ local arch=$(echo ${CHROMEOS_U_BOOT_CONFIG} | cut -d_ -f2)
+ local board=${arch}/$(echo ${CHROMEOS_U_BOOT_CONFIG} | cut -d_ -f3)
+
+ for directory in . ${arch} ${arch}/parts ${board} ${board}/parts; do
+ dodir /u-boot/configs/chromeos/${directory}
+ insinto /u-boot/configs/chromeos/${directory}
+
+ doins ${directory}/* || die
+ done
+}
« no previous file with comments | « no previous file | sys-boot/chromeos-u-boot-next/chromeos-u-boot-next-9999.ebuild » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698